<?php
$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_2e062cfc10183d31" . "f0f0848e59bfd2b3" => base64_decode("Z2V0X2ZpbGVfZXh0ZW" . "5zaW9u"), "_4be135064c4d55c13" . "e6af60c45cb1fda" => base64_decode("Z2FsbGVyeS5wZXJtaXNzaW9uc" . "w=="), "_e20b559a1b414495c43a4f" . "bbf2e5015e" => base64_decode("aHR0cF9zZW5kX2Z" . "pbGU="), "i" . "d" => base64_decode("aWQ" . "="), "_3ce655ae4" . "a14421967c" . "c023a6e907" . "ed5" => base64_decode("aXNfZ" . "mlsZQ" . "=="), "_c330b85d625b10fb446f351cc" . "78b4d05" => base64_decode("c3RyaXBVbmFsbG93ZWRXaW4zMkNoY" . "XJhY3RlcnM="), "_11ff9bccdcd23cd6bf9d" . "92884ea6cc39" => base64_decode("Li4vY29tbW9uL2Nvbm5l" . "Y3QucGhw"), "_2713fc125a2798f62a71e9" . "066f396da7" => base64_decode("Li4vY29tbW9uL2Zp" . "bGVzeXN0ZW0ucGhw"), "_5717b327f1f9b8" . "b82a4c07e8006c2" . "719" => base64_decode("c" . "G" . "5" . "n"), "_af66268e41c5634d" . "f3c88007939cbf33" => base64_decode("ZG93bmxv" . "YWQ="), "_4d707fab93bebb00" . "bbe69e8159697c90" => base64_decode(""), "_3d0fad80d1698b9bc" . "b5742bda96db9f8" => base64_decode("Tm8gcmlna" . "HRz"), "_20a7dc9160360d28b227a7" . "35cd62a71d" => base64_decode("Li4vY29tbW9uL250bG1fc2Vzc2lvbnN0YXJ0L" . "nBocA=="), "_f920f0bf40dcf69c4d" . "aab1426e0564d6" => base64_decode("V3Jvbm" . "cgcGFy" . "YW1ldG" . "Vycw=="), "_a62d761f3e831ff9d9da39f9c2" . "6ecddc" => base64_decode("Li4vY29tbW9uL2NvcmUu" . "cGhw"), "_605dec66bbd43fd4" . "3b6b2abff58a62ef" => base64_decode("bm" . "F0" . "aX" . "Zl"), "pr" . "ef" . "ix" => base64_decode("cHJlZm" . "l4"), "ac" . "ti" . "on" => base64_decode("YW" . "N0" . "aW" . "9u"), "_23e3a19ac3ae2d" . "e10c19a9b001755" . "6f0" => base64_decode("SW1hZ2UgZmlsZSBkb2Vzbid0IGV4a" . "XN0"), "_f705bcbe9557715c78f11a9a576" . "dfda3" => base64_decode("aW1hZ2VzL3BsYWNlaG9sZGVyL" . "3BsYWNlaG9sZGVyLnBuZw=="), "_3be5fb55318614a35b1111" . "9662d2e169" => base64_decode("cGxhY2Vob2x" . "kZXI="));










use Claromentis\Gallery\GalleryPermissions;
global $prefix, $action, $default_prefix;
$NO_LOCALIZATION = true;
require_once $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_20a7dc9160360d" . "28b227a735cd62a" . "71d"];
require_once $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_a62d761f3e831ff9d9da" . "39f9c26ecddc"];
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_11ff9bccdcd23cd6bf9d9" . "2884ea6cc39"];
AuthUser::I()->SetMode(AuthUser::MODE_POPUP)->Init();
\Claromentis\Core\Services::I()->session->save();


require_once $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_2713fc125a2798f6" . "2a71e9066f396da7"];
$id = gpc::GetIntOrNull($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["i" . "d"]);
if (!isset($prefix)) {
    $prefix = gpc::GetStringOrNull($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["pr" . "ef" . "ix"]);
}
if (!isset($action)) {
    $action = gpc::GetStringOrNull($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["acti" . "on"]);
}
if (!$id || gpc::IsError()) {
    die($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_f920f0bf40dcf69c4daab1426e0564d" . "6"]);
}
if ($prefix != $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_605dec66bbd43fd43b6b2abff58a62e" . "f"]) {
    $thumbnail = new ImageFiles();
    $thumbnail->Load(0, $id, $prefix);
    if (isset($default_prefix) && $thumbnail->GetPrefix() != $prefix) {
        $prefix = $default_prefix;
    }
}
$placeholder_path = $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_f705bcbe955771" . "5c78f11a9a576df" . "da3"];
$placeholder_title = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_3be5fb55318614a35b111" . "19662d2e169"];
$placeholder_type = $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_5717b327" . "f1f9b8b82" . "a4c07e800" . "6c2719"];
if ($prefix == $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_605dec66bbd43fd43b6b2a" . "bff58a62ef"]) {
    $image_obj = new Image($id);
    $imagefile = $image_obj->GetImageFilePath();
    $file_title = $image_obj->GetTitle();
    $file_type = $image_obj->GetFileType();
    if (!$image_obj->ImageFileExists()) {
        $imagefile = $placeholder_path;
        $file_title = $placeholder_title;
        $file_type = $placeholder_type;
    }
    $album_id = $image_obj->GetAlbumId();
} else {
    
    
    $imagefile = $thumbnail->GetImageFilePath();
    $file_title = $thumbnail->parent_image->GetTitle();
    $file_type = $thumbnail->parent_image->GetFileType();
    if (!$thumbnail->parent_image->ImageFileExists()) {
        
        
        $imagefile = $placeholder_path;
        $file_title = $placeholder_title;
        $file_type = $placeholder_type;
    } else {
        if (!$imagefile) {
            
            
            
            $imagefile = $placeholder_path;
        }
    }
    $album_id = $thumbnail->parent_image->GetAlbumId();
}
$gallery_perms = $g_application[$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_4be135064c4d55c13e6af60c45c" . "b1fda"]];


if (!$gallery_perms->CanIViewAlbum($album_id)) {
    die($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_3d0fad80d1698b9bcb5742bd" . "a96db9f8"]);
}
if (!$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_3ce655ae4a14421967cc0" . "23a6e907ed5"]($imagefile)) {
    die($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_23e3a19ac3ae2de10c19a9b001" . "7556f0"]);
}
$file_extension = !$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_2e062cfc10183d31f0f0" . "848e59bfd2b3"]($file_title, true) ? Image::ImageTypeToExtension($file_type, true) : $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_4d707fab93bebb00bbe69e815969" . "7c90"];
$full_name = $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_c330b85d625b1" . "0fb446f351cc78" . "b4d05"]($file_title . $file_extension);
$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_e20b559a1b414495" . "c43a4fbbf2e5015e"]($full_name, $imagefile, $action == $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_af66268e41c5634df3c88007" . "939cbf33"] ? DOWNLOAD : INLINE);